__gnu_cxx::random_condition(3cxx)

NAME
__gnu_cxx::random_condition - Base class for random probability control and throw.

SYNOPSIS

#include <throw_allocator.h>

Inherits __gnu_cxx::condition_base.

Inherited by __gnu_cxx::throw_allocator_base< _Tp, random_condition >, and __gnu_cxx::throw_value_base< random_condition >.

  Classes

struct always_adjustor
Always enter the condition.
struct group_adjustor
Group condition.
struct never_adjustor
Never enter the condition.

  Public Member Functions

void seed (unsigned long __s)

  Static Public Member Functions

static void set_probability (double __p)
static void throw_conditionally ()

Detailed Description

Base class for random probability control and throw.

Definition at line 502 of file throw_allocator.h.

Constructor & Destructor Documentation

  __gnu_cxx::random_condition::random_condition () [inline]

Definition at line 540 of file throw_allocator.h.

Member Function Documentation

  void __gnu_cxx::random_condition::seed (unsigned long __s) [inline]

Definition at line 558 of file throw_allocator.h.

  static void __gnu_cxx::random_condition::set_probability (double __p) [inline], [static]

Definition at line 547 of file throw_allocator.h.

  static void __gnu_cxx::random_condition::throw_conditionally () [inline], [static]

Definition at line 551 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.